/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/participant.xml');

  EXCEPTION  
    WHEN e_does_not_exists THEN
      NULL;
  END;
  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/participant.xml',
'<View submitLabel="{message.XXAS_RB_COM_SAVE}" defaultFormHandler="xxas_perf_participants_pkg.form_post_handler" showSubmit="true" title="{message.XXAS_PERF_ADD_PARTICIPANT}" formHelp="This is a role who will participate in one or more steps in a performance review process. You link participant roles to steps in each review template. The provider function will determine the actual person(s) in a role when a review starts.">
  <EditFields>
      <Hidden id="PERF_PARTICIPANT_ID"/>
      <Hidden id="PERSON_ID"/>
      <TextInput id="PARTICIPANT" label="{message.XXAS_PERF_PARTIC_NAME}" required="true" emptyValue="Ex: 2nd line manager, Matrix manager" description="Users see this text for each step in a review document"/>
      <TextInput id="PROVIDER_FUNCTION" label="{message.XXAS_PERF_PROVIDER_FUNC}" required="true" emptyValue="Ex: xxx_my_package.provider_person_ids"/>
  </EditFields>
</View>
' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/participant.xml');
END;
/
COMMIT;
EXIT;
